<!-- -------------------- ./doc/content/signature-accept_content.html -------------------- -->

<script src="/pub/jsint/signastuff.js"></script>

<h2>Signature du dossier :</h2>

<?php if ($this->DOSINFO['signasker'] != "_none_") : ?>
	<p>Cette demande de signature à été envoyée par : <strong><?php echo $this->DOSINFO['signasker']; ?></strong></p>
<?php endif; ?>

<?php if (isset($this->DOSINFO['signacomm'])) : ?>
	<p>Message :</p>
	<blockquote class="fr-quote">
		<p>
			<?php echo $this->DOSINFO['signacomm']; ?>
		</p>
	</blockquote>
<?php endif; ?>

<!-- step 1 -->
<div id="sign_div_stp1">
	<div class="fr-stepper">
		<h3 class="fr-stepper__title"> <span class="fr-stepper__state">Étape 1 sur 3</span> Validation des documents</h3>
		<div class="fr-stepper__steps" data-fr-current-step="1" data-fr-steps="3"></div>
		<p class="fr-stepper__details"> <span class="fr-text--bold">Étape suivante :</span> Informations signataire</p>
	</div>

	<form role="form">
		<input type="hidden" name="DID" id="DID" value="<?php echo $this->DOSINFO['did']; ?>">
		<input type="hidden" id="jralcnt" value="<?php echo count($this->DOSINFO['filelist']); ?>">

		<p>
			<strong>Je reconnais avoir pris connaissance des documents ci-dessous (cocher les cases) :</strong>
		</p>

		<?php foreach ($this->DOSINFO['filelist'] as $ind => $value) : ?>
			<div class="fr-checkbox-group fr-checkbox-group--sm">
				<input type="checkbox" id="jral0_<?php echo $ind; ?>" name="checkbox">
				<label class="fr-label" for="jral0_<?php echo $ind; ?>"><?php echo $value; ?></label>
			</div>
		<?php endforeach; ?>

		<div class="fr-alert fr-alert--error" style="display: none" id="sign_div_err2">
			<h3 class="fr-alert__title">Erreur</h3>
			<p>Vous n'avez sélectionné aucun fichier.</p>
		</div>

		<div class="sign_step">
			<button class="fr-btn" type="button" onclick="SignStep2('<?php echo $this->DOSINFO['did']; ?>')">
				Suivant
			</button>
		</div>
	</form>
</div>

<!-- step 2 -->
<div style="display: none" id="sign_div_stp2">
	<div class="fr-stepper">
		<h3 class="fr-stepper__title"> <span class="fr-stepper__state">Étape 2 sur 3</span> Informations signataire</h3>
		<div class="fr-stepper__steps" data-fr-current-step="2" data-fr-steps="3"></div>
		<p class="fr-stepper__details"> <span class="fr-text--bold">Étape suivante : Signature finale</span> </p>
	</div>

	<form role="form">
		<input type="hidden" name="DID" id="DID" value="<?php echo $this->DOSINFO['did']; ?>">
		<input type="hidden" id="jralcnt" value="<?php echo count($this->DOSINFO['filelist']); ?>">

		<?php if ($this->SIGNINFOK == 1) : ?>
			<p>Vos informations de signature sont déjà connues : Vous pouvez éventuellement les modifier <a href="https://gaapse.girondenumerique.fr/compte" target="_blank">ICI</a></p>
		<?php else : ?>
			<p>Fournir les informations nécéssaires à la signature :</p>
		<?php endif; ?>
		
		<div class="fr-alert fr-alert--error" style="display: none" id="sign_div_err1">
			<h3 class="fr-alert__title">Erreur</h3>
			<p>Vous devez fournir votre nom , adresse email et téléphone </p>
		</div>

		<div class="fr-input-group">
			<label for="signnam" class="fr-label">Nom Prénom (Entreprise) :</label>
			<input type="text" class="fr-input" value="<?php echo $this->OWNNAME; ?>" name="SIGNNAM" id="signnam" required <?php echo ($this->SIGNINFOK == 1) ? "readonly" : ""; ?>>
		</div>

		<div class="fr-input-group">
			<label for="signmel" class="fr-label">Adresse email :</label>
			<input type="email" class="fr-input" value="<?php echo $this->OWNMAIL; ?>" name="SIGNMEL" id="signmel" required <?php echo ($this->SIGNINFOK == 1) ? "readonly" : ""; ?>>
		</div>

		<div class="fr-input-group">
			<label for="signtel" class="fr-label">Numéro de téléphone :</label>
			<input type="tel" class="fr-input" value="<?php echo $this->OWNPHONE; ?>" name="SIGNTEL" id="signtel" placeholder="06nnnnnnnn" pattern="^0(6|7)[0-9]{8}$" required <?php echo ($this->SIGNINFOK == 1) ? "readonly" : ""; ?>>
		</div>

		<?php if ($this->SIGNIMAGE != "") : ?>
			<div class="fr-input-group">
				<label class="fr-label">Votre signature :</label>
				<img src="<?php echo $this->SIGNIMAGE; ?>">
			</div>
		<?php endif; ?>

		<div class="fr-btns-group fr-btns-group--inline-sm sign_step">
			<button class="fr-btn" type="button" onclick="SignAccept('<?php echo $this->DOSINFO['did']; ?>')">Valider</button>
			<button class="fr-btn fr-btn--secondary" type="button" onclick="SignStep2Back('<?php echo $this->DOSINFO['did']; ?>')">Retour</button>
		</div>
	</form>
</div>

<div style="display: none" id="sign_div_oki">
	<div class="fr-stepper">
		<h3 class="fr-stepper__title"> <span class="fr-stepper__state">Étape 3 sur 3</span> Signature finale</h3>
		<div class="fr-stepper__steps" data-fr-current-step="3" data-fr-steps="3"></div>
	</div>

	<form id="sign_accept" method="post" role="form" action="<?php echo $this->URL->GetDosMethod("SignAccept"); ?>">

		<?php foreach ($this->DOSINFO['filelist'] as $ind => $value) : ?>
			<input type="hidden" value="<?php echo $value; ?>" name="JRALN[]">
			<input type="hidden" value="" id="jral1_<?php echo $ind; ?>" name="JRALV[]">
		<?php endforeach; ?>

		<input type="hidden" name="DID" id="DID" value="<?php echo $this->DOSINFO['did']; ?>">
		<input type="hidden" name="SIGNNAM" id="signnam2" value="<?php echo $this->OWNNAME; ?>">
		<input type="hidden" name="SIGNMEL" id="signmel2" value="<?php echo $this->OWNMAIL; ?>">
		<input type="hidden" name="SIGNTEL" id="signtel2" value="<?php echo $this->OWNPHONE; ?>">
		<?php if ($this->SIGNIMAGE != "") : ?>
			<input type="hidden" name="SIGNIMG" id="signimg2" value="img">
		<?php else : ?>
			<input type="hidden" name="SIGNIMG" id="signimg2" value="def">
		<?php endif; ?>

		<p>
			Un code secret (à usage unique) vous a été envoyé par SMS.<br />
			Vous avez 15 minutes pour fournir ce code, passé ce délai, votre signature sera invalidée.
		</p>

		<div class="fr-input-group">
			<label for="SIGNCODE" class="fr-label">Code Secret :</label>
			<input type="text" class="fr-input" value="" name="SIGNCODE" id="SIGNCODE">
		</div>
		<div class="fr-btns-group fr-btns-group--inline-sm sign_step">
			<button class="fr-btn" type="button" onclick="SignAcceptFinal('<?php echo $this->DOSINFO['did']; ?>')">Signer</button>
			<button class="fr-btn fr-btn--secondary" type="button" onclick="SignAcceptFinalBack('<?php echo $this->DOSINFO['did']; ?>')">Retour</button>
		</div>
	</form>
</div>

<div class="fr-alert fr-alert--error" style="display: none" id="sign_div_err">
	<h3 class="fr-alert__title">Erreur : <span id="sign_div_err_msg"></span></h3>
	<p>Un problème est survenu lors du processus de signature, veuillez contacter le responsable de la plate-forme.</p>
</div>
